# abstract CapsStyle(Null<Int>)

#### package openfl.display

####

Available on all platforms

The CapsStyle class is an enumeration of constant values that specify the caps style to use in drawing lines. The constants are provided for use as values in the `caps` parameter of the `openfl.display.Graphics.lineStyle()` method. You can specify the following three types of caps:

### Variables

###

`inline read onlyNONE:CapsStyle = 0`

Used to specify no caps in the `caps` parameter of the `openfl.display.Graphics.lineStyle()` method.

###

`inline read onlyROUND:CapsStyle = 1`

Used to specify round caps in the `caps` parameter of the `openfl.display.Graphics.lineStyle()` method.

###

`inline read onlySQUARE:CapsStyle = 2`

Used to specify square caps in the `caps` parameter of the `openfl.display.Graphics.lineStyle()` method.